{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":452,"path":"api-reference/rest-apis/account-api.md","title":"Account API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Account API\n\nThe Account API provides endpoints to retrieve Customer Service Management \\(CSM\\) account records.\n\nThis API requires the Customer Service plugin \\(com.sn\\_customerservice\\) and is provided within the `now` namespace.\n\nUsers require the csm\\_ws\\_integration role for full API access.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Account - GET /now/account\n\nRetrieves a specified set of Customer Service Management \\(CSM\\) accounts.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/account`\n\nDefault URL: `/api/now/account`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_limit\n\n</td><td id=\"sysparm-limit-entry\">\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval.\n\nIn the response, the boolean parameter **hasMore** is returned. It indicates whether there are more records to return that meet the filter criteria.\n\nData type: Number\n\nDefault: 10\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td id=\"sysparm-offset-entry\">\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.\n\nFor example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDo not pass a negative number in the **sysparm\\_offset** parameter.\n\nData type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nsysparm\\_query\n\n</td><td id=\"sysparm-query-entry\">\n\nEncoded query used to filter the result set.For example:\n\n`sysparm_query=caller_id=javascript:gs.getUserID()^active=true`\n\nThe encoded query supports order by. To sort responses based on certain fields, use the ORDERBY and ORDERBYDESC clauses in **sysparm\\_query**. For example, `sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory` filters all active records and orders the results in ascending order by number first, and then in descending order by category.\n\nIf part of the query is invalid, such as by specifying an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. You can control this behavior using the property **glide.invalid\\_query.returns\\_no\\_rows**. Set this property to true to return no rows on an invalid query.\n\n**Note:** The **glide.invalid\\_query.returns\\_no\\_rows** property controls the behavior of all queries across the instance, such as in lists, scripts \\(GlideRecord.query\\(\\)\\), and web service APIs.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Element|Description|\n|-------|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_pgg_h4b_1dc\"><thead><tr><th>\n\nParameter\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"accounttable-account_code-row\"><td>\n\naccount\\_code\n\n</td><td id=\"accounttable-account_code-entry\">\n\nUnique combination of values that an application uses to identify budget forecasts and budget plans.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr id=\"accounttable-account_parent-row\"><td>\n\naccount\\_parent\n\n</td><td id=\"accounttable-account_parent-entry\">\n\nSys\\_id of the parent account of this account. Located in the Account \\[customer\\_account\\] table.Data type: String\n\n</td></tr><tr id=\"accounttable-account_path-row\"><td>\n\naccount\\_path\n\n</td><td id=\"accounttable-account_path-entry\">\n\nPath from the parent to the child accounts in the account hierarchy.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr id=\"accounttable-active_escalation-row\"><td>\n\nactive\\_escalation\n\n</td><td id=\"accounttable-active_escalation-entry\">\n\nSys\\_id of the active escalation associated with the account.Data type: String\n\nTable: Escalation \\[sn\\_customerservice\\_escalation\\]\n\n</td></tr><tr id=\"accounttable-apple_icon-row\"><td>\n\napple\\_icon\n\n</td><td id=\"accounttable-apple_icon-entry\">\n\nIcon for iPhone home page bookmarks.Data type: Image\n\n</td></tr><tr id=\"accounttable-banner_image-row\"><td>\n\nbanner\\_image\n\n</td><td id=\"accounttable-banner_image-entry\">\n\nBanner image that appears on the customer portal.Data type: Image\n\n</td></tr><tr id=\"accounttable-banner_image_light-row\"><td>\n\nbanner\\_image\\_light\n\n</td><td id=\"accounttable-banner_image_light-entry\">\n\nSmall banner image.Data type: Image\n\n</td></tr><tr id=\"accounttable-banner_text-row\"><td>\n\nbanner\\_text\n\n</td><td id=\"accounttable-banner_text-entry\">\n\nBanner text that appears on the customer portal.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr id=\"accounttable-city-row\"><td>\n\ncity\n\n</td><td id=\"accounttable-city-entry\">\n\nCity in which the company that is associated with this account resides.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr id=\"accounttable-contact-row\"><td>\n\ncontact\n\n</td><td id=\"accounttable-contact-entry\">\n\nSys\\_id of a contact record associated with this account.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr id=\"accounttable-country-row\"><td>\n\ncountry\n\n</td><td id=\"accounttable-country-entry\">\n\nCountry in which the company that is associated with this account resides.Data type: String\n\nMaximum length: 40\n\nDefault: USA\n\n</td></tr><tr id=\"accounttable-customer-row\"><td>\n\ncustomer\n\n</td><td id=\"accounttable-customer-entry\">\n\nFlag that indicates whether the account is a customer account, as opposed to a partner account.Possible values:\n\n-   true: Customer account\n-   false: Partner account\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-discount-row\"><td>\n\ndiscount\n\n</td><td id=\"accounttable-discount-entry\">\n\nDiscount given to the account on purchases.Data type: Number\n\nMaximum length: 15\n\n</td></tr><tr id=\"accounttable-fax_phone-row\"><td>\n\nfax\\_phone\n\n</td><td id=\"accounttable-fax_phone-entry\">\n\nPrimary fax phone number for the company associated with this account.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-fiscal_year-row\"><td>\n\nfiscal\\_year\n\n</td><td id=\"accounttable-fiscal_year-entry\">\n\nFiscal year for the company associated with the account.Data type: String\n\n</td></tr><tr id=\"accounttable-lat_long_error-row\"><td>\n\nlat\\_long\\_error\n\n</td><td id=\"accounttable-lat_long_error-entry\">\n\nDifference in the actual location as compared to latitude and longitude information.Data type: String\n\nMaximum length: 1,000\n\n</td></tr><tr id=\"accounttable-latitude-row\"><td>\n\nlatitude\n\n</td><td id=\"accounttable-latitude-entry\">\n\nLatitude of the company associated with this account.Data type: Number \\(floating point number\\)\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-longitude-row\"><td>\n\nlongitude\n\n</td><td id=\"accounttable-longitude-entry\">\n\nLongitude of the company associated with this account.Data type: Number \\(floating point number\\)\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-manufactuer-row\"><td>\n\nmanufacturer\n\n</td><td id=\"accounttable-manufactuer-entry\">\n\nFlag that indicates whether the company associated with this account manufactures goods.Possible values:\n\n-   true: Manufactures goods\n-   false: Does not manufacture goods\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-market_cap-row\"><td>\n\nmarket\\_cap\n\n</td><td id=\"accounttable-market_cap-entry\">\n\nMarket value of the associated company's publicly traded stock shares.Data type: Number \\(currency\\)\n\nMaximum length: 20\n\n</td></tr><tr id=\"accounttable-name-row\"><td>\n\nname\n\n</td><td id=\"accounttable-name-entry\">\n\nName of the company associated with this account.Data type: String\n\nMaximum length: 80\n\n</td></tr><tr id=\"accounttable-notes-row\"><td>\n\nnotes\n\n</td><td id=\"accounttable-notes-entry\">\n\nAdditional information about the company.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr id=\"accounttable-num_employees-row\"><td>\n\nnum\\_employees\n\n</td><td id=\"accounttable-num_employees-entry\">\n\nNumber of people employed by the company.Data type: Number \\(Integer\\)\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-number-row\"><td>\n\nnumber\n\n</td><td id=\"accounttable-number-entry\">\n\nNumber that identifies this account.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-parent-row\"><td>\n\nparent\n\n</td><td id=\"accounttable-parent-entry\">\n\nSys\\_id of the parent account of this account.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr id=\"accounttable-partner-row\"><td>\n\npartner\n\n</td><td id=\"accounttable-partner-entry\">\n\nFlag that indicates whether the account is a partner account or a customer account.Possible values:\n\n-   true: Partner account\n-   false: Customer account\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-phone-row\"><td>\n\nphone\n\n</td><td id=\"accounttable-phone-entry\">\n\nPrimary phone number for the company.Data type: String\n\n</td></tr><tr id=\"accounttable-primary-row\"><td>\n\nprimary\n\n</td><td id=\"accounttable-primary-entry\">\n\nFlag that indicates whether this is a primary account.Possible values:\n\n-   true: Primary account\n-   false: Secondary account\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-primary_contact-row\"><td>\n\nprimary\\_contact\n\n</td><td id=\"accounttable-primary_contact-entry\">\n\nSys\\_id of the primary contact for the account.Data type: String\n\nTable: Contact \\[customer\\_contact\\]\n\n</td></tr><tr id=\"accounttable-profits-row\"><td>\n\nprofits\n\n</td><td id=\"accounttable-profits-entry\">\n\nProfit information entered for this account.Data type: Number \\(Currency\\)\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-publicly_traded-row\"><td>\n\npublicly\\_traded\n\n</td><td id=\"accounttable-publicly_traded-entry\">\n\nFlag that indicates whether the company associated with this account is publicly traded on the stock exchange.Possible values:\n\n-   true: Publicly traded\n-   false: Private company\n\nData type: Boolean\n\n</td></tr><tr id=\"accounttable-rank_tier-row\"><td>\n\nrank\\_tier\n\n</td><td id=\"accounttable-rank_tier-entry\">\n\nType of account.Possible values:\n\n-   blacklist\n-   other\n-   strategic\n-   tactical\n-   valued\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-registration_code-row\"><td>\n\nregistration\\_code\n\n</td><td id=\"accounttable-registration_code-entry\">\n\nUnique code that customers use when requesting a login on the customer portal. This code provides a method for validating the customer on the company before granting access.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-revenue_per_year-row\"><td>\n\nrevenue\\_per\\_year\n\n</td><td id=\"accounttable-revenue_per_year-entry\">\n\nRevenue produced by the company associated with this account.Data type: Number \\(Currency\\)\n\nMaximum length: 20\n\n</td></tr><tr id=\"accounttable-state-row\"><td>\n\nstate\n\n</td><td id=\"accounttable-state-entry\">\n\nState in which the company resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-stock_price-row\"><td>\n\nstock\\_price\n\n</td><td id=\"accounttable-stock_price-entry\">\n\nPrice of the company stock.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-stock_symbol-row\"><td>\n\nstock\\_symbol\n\n</td><td id=\"accounttable-stock_symbol-entry\">\n\nStock symbol of the company.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-street-row\"><td>\n\nstreet\n\n</td><td id=\"accounttable-street-entry\">\n\nStreet address of the company.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr id=\"accounttable-sys_class_name-row\"><td>\n\nsys\\_class\\_name\n\n</td><td id=\"accounttable-sys_class_name-entry\">\n\nTable that contains the associated account record.Data type: String\n\n</td></tr><tr id=\"accounttable-sys_created_by-row\"><td>\n\nsys\\_created\\_by\n\n</td><td id=\"accounttable-sys_created_by-entry\">\n\nUser that originally created the account.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-sys_created_on-row\"><td>\n\nsys\\_created\\_on\n\n</td><td id=\"accounttable-sys_created_on-entry\">\n\nDate and time that the account was originally created.Data type: String\n\n</td></tr><tr id=\"accounttable-sys_id-row\"><td>\n\nsys\\_id\n\n</td><td id=\"accounttable-sys_id-entry\">\n\nSys\\_id for the account record.Data type: String\n\n</td></tr><tr id=\"accounttable-sys_mod_count-row\"><td>\n\nsys\\_mod\\_count\n\n</td><td id=\"accounttable-sys_mod_count-entry\">\n\nNumber of times the account information has been updated.Data type: Number \\(Integer\\)\n\n</td></tr><tr id=\"accounttable-sys_updated_by-row\"><td>\n\nsys\\_updated\\_by\n\n</td><td id=\"accounttable-sys_updated_by-entry\">\n\nUser that last modified the account information.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-sys_updated_on-row\"><td>\n\nsys\\_updated\\_on\n\n</td><td id=\"accounttable-sys_updated_on-entry\">\n\nDate and time the account information was last updated.Data type: String\n\n</td></tr><tr id=\"accounttable-theme-row\"><td>\n\ntheme\n\n</td><td id=\"accounttable-theme-entry\">\n\nSys\\_id of the customer portal theme used by this account.Data type: String\n\nTable: Theme \\[sys\\_ui\\_theme\\]\n\n</td></tr><tr id=\"accounttable-vendor-row\"><td>\n\nvendor\n\n</td><td id=\"accounttable-vendor-entry\">\n\nFlag that indicates whether the company associated with this account is a vendor.Possible values:\n\n-   true: Vendor\n-   false: Not a vendor\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-vendor_manager-row\"><td>\n\nvendor\\_manager\n\n</td><td id=\"accounttable-vendor_manager-entry\">\n\nList of sys\\_ids of the vendor managers for the account.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr id=\"accounttable-vendor_type-row\"><td>\n\nvendor\\_type\n\n</td><td id=\"accounttable-vendor_type-entry\">\n\nList of sys\\_ids of the type of vendor such as, applications, hardware, services, or software.Data type: String\n\nTable: Vendor Type \\[vendor\\_type\\]\n\n</td></tr><tr id=\"accounttable-website-row\"><td>\n\nwebsite\n\n</td><td id=\"accounttable-website-entry\">\n\nURL of the website for the company.Data type: String\n\nMaximum length: 1,024\n\n</td></tr><tr id=\"accounttable-zip-row\"><td>\n\nzip\n\n</td><td id=\"accounttable-zip-entry\">\n\nZip code of the company.Data type: String\n\nMaximum length: 40\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/now/account?sysparm_limit=2&sysparm_offset=2>;rel=\"next\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n\n```\n\n```\n{\n\"result\": [\n  {\n   \"banner_image_light\": \"\",\n   \"country\": \"USA\",\n   \"parent\": \"\",\n   \"notes\": \"\",\n   \"stock_symbol\": \"\",\n   \"discount\": \"\",\n   \"active_escalation\": \"\",\n   \"sys_updated_on\": \"2019-01-03 19:37:55\",\n   \"apple_icon\": \"\",\n   \"number\": \"ACCT0000003\",\n    \"sys_updated_by\": \"admin\",\n    \"fiscal_year\": \"\",\n    \"sys_created_on\": \"2018-12-23 05:25:17\",\n    \"contact\": \"\",\n    \"stock_price\": \"\",\n    \"state\": \"\",\n    \"banner_image\": \"\",\n    \"sys_created_by\": \"admin\",\n    \"longitude\": \"\",\n    \"zip\": \"BR1 3QR\",\n    \"profits\": \"0\",\n    \"phone\": \"+44 20 8466 9992\",\n    \"fax_phone\": \"\",\n    \"name\": \"Boxeo EMEA\",\n    \"banner_text\": \"\",\n    \"account_code\": \"~~~~3\",\n    \"primary\": \"false\",\n    \"city\": \"Bromley\",\n    \"latitude\": \"\",\n    \"sys_class_name\": \"customer_account\",\n    \"manufacturer\": \"false\",\n    \"account_parent\": \"86837a386f0331003b3c498f5d3ee4ca\",\n    \"sys_id\": \"3eedd08413651200042ab3173244b088\",\n    \"market_cap\": \"0\",\n    \"num_employees\": \"\",\n    \"rank_tier\": \"\",\n    \"street\": \"18 London Rd\",\n    \"vendor\": \"false\",\n    \"lat_long_error\": \"\",\n    \"theme\": \"\",\n    \"vendor_type\": \"\",\n    \"website\": \"\",\n    \"revenue_per_year\": \"0\",\n    \"publicly_traded\": \"false\",\n    \"sys_mod_count\": \"5\",\n    \"sys_tags\": \"\",\n    \"partner\": \"false\",\n    \"registration_code\": \"BOXEO-EMEA\",\n    \"vendor_manager\": \"\",\n    \"account_path\": \"~~~~1/~~~~3\",\n    \"primary_contact\": \"ff66c1254fb81200025ba3618110c76e\",\n    \"customer\": \"true\"\n  },\n  {\n    \"banner_image_light\": \"\",\n    \"country\": \"USA\",\n    \"parent\": \"\",\n    \"notes\": \"\",\n    \"stock_symbol\": \"\",\n    \"discount\": \"\",\n    \"active_escalation\": \"\",\n    \"sys_updated_on\": \"2019-01-03 19:38:04\",\n    \"apple_icon\": \"\",\n    \"number\": \"ACCT0000004\",\n    \"sys_updated_by\": \"admin\",\n    \"fiscal_year\": \"\",\n    \"sys_created_on\": \"2018-12-23 05:19:24\",\n    \"contact\": \"\",\n    \"stock_price\": \"\",\n    \"state\": \"\",\n    \"banner_image\": \"\",\n    \"sys_created_by\": \"admin\",\n    \"longitude\": \"\",\n    \"zip\": \"V5L 2G4\",\n    \"profits\": \"0\",\n    \"phone\": \"+1 604-255-9797\",\n    \"fax_phone\": \"\",\n    \"name\": \"Boxeo Canada\",\n    \"banner_text\": \"\",\n    \"account_code\": \"~~~~4\",\n    \"primary\": \"false\",\n    \"city\": \"Vancouver\",\n    \"latitude\": \"\",\n    \"sys_class_name\": \"customer_account\",\n    \"manufacturer\": \"false\",\n    \"account_parent\": \"86837a386f0331003b3c498f5d3ee4ca\",\n    \"sys_id\": \"609cd80413651200042ab3173244b03e\",\n    \"market_cap\": \"0\",\n    \"num_employees\": \"\",\n    \"rank_tier\": \"\",\n    \"street\": \"1362 Venables St,, BC V5L 2G4, Canada\",\n    \"vendor\": \"false\",\n    \"lat_long_error\": \"\",\n    \"theme\": \"\",\n    \"vendor_type\": \"\",\n    \"website\": \"\",\n    \"revenue_per_year\": \"0\",\n    \"publicly_traded\": \"false\",\n    \"sys_mod_count\": \"5\",\n    \"sys_tags\": \"\",\n    \"partner\": \"false\",\n    \"registration_code\": \"BOXEO-CANADA\",\n    \"vendor_manager\": \"\",\n    \"account_path\": \"~~~~1/~~~~4\",\n    \"primary_contact\": \"c07424a54f781200025ba3618110c746\",\n    \"customer\": \"true\"\n  }\n ]\n}\n```\n\n## Account - GET /now/account/\\{id\\}\n\nRetrieves the specified Customer Service Management \\(CSM\\) account.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/account/{id}`\n\nDefault URL: `/api/now/account/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the account to retrieve. Located in the Customer \\[customer\\_account\\] table.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nIndicates that the request is invalid.i89Possible cause:\n\n-   Requested case doesn’t exist.\n-   User doesn’t have access to the account record.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_pgg_h4b_1dc\"><thead><tr><th>\n\nParameter\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"accounttable-account_code-row\"><td>\n\naccount\\_code\n\n</td><td id=\"accounttable-account_code-entry\">\n\nUnique combination of values that an application uses to identify budget forecasts and budget plans.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr id=\"accounttable-account_parent-row\"><td>\n\naccount\\_parent\n\n</td><td id=\"accounttable-account_parent-entry\">\n\nSys\\_id of the parent account of this account. Located in the Account \\[customer\\_account\\] table.Data type: String\n\n</td></tr><tr id=\"accounttable-account_path-row\"><td>\n\naccount\\_path\n\n</td><td id=\"accounttable-account_path-entry\">\n\nPath from the parent to the child accounts in the account hierarchy.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr id=\"accounttable-active_escalation-row\"><td>\n\nactive\\_escalation\n\n</td><td id=\"accounttable-active_escalation-entry\">\n\nSys\\_id of the active escalation associated with the account.Data type: String\n\nTable: Escalation \\[sn\\_customerservice\\_escalation\\]\n\n</td></tr><tr id=\"accounttable-apple_icon-row\"><td>\n\napple\\_icon\n\n</td><td id=\"accounttable-apple_icon-entry\">\n\nIcon for iPhone home page bookmarks.Data type: Image\n\n</td></tr><tr id=\"accounttable-banner_image-row\"><td>\n\nbanner\\_image\n\n</td><td id=\"accounttable-banner_image-entry\">\n\nBanner image that appears on the customer portal.Data type: Image\n\n</td></tr><tr id=\"accounttable-banner_image_light-row\"><td>\n\nbanner\\_image\\_light\n\n</td><td id=\"accounttable-banner_image_light-entry\">\n\nSmall banner image.Data type: Image\n\n</td></tr><tr id=\"accounttable-banner_text-row\"><td>\n\nbanner\\_text\n\n</td><td id=\"accounttable-banner_text-entry\">\n\nBanner text that appears on the customer portal.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr id=\"accounttable-city-row\"><td>\n\ncity\n\n</td><td id=\"accounttable-city-entry\">\n\nCity in which the company that is associated with this account resides.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr id=\"accounttable-contact-row\"><td>\n\ncontact\n\n</td><td id=\"accounttable-contact-entry\">\n\nSys\\_id of a contact record associated with this account.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr id=\"accounttable-country-row\"><td>\n\ncountry\n\n</td><td id=\"accounttable-country-entry\">\n\nCountry in which the company that is associated with this account resides.Data type: String\n\nMaximum length: 40\n\nDefault: USA\n\n</td></tr><tr id=\"accounttable-customer-row\"><td>\n\ncustomer\n\n</td><td id=\"accounttable-customer-entry\">\n\nFlag that indicates whether the account is a customer account, as opposed to a partner account.Possible values:\n\n-   true: Customer account\n-   false: Partner account\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-discount-row\"><td>\n\ndiscount\n\n</td><td id=\"accounttable-discount-entry\">\n\nDiscount given to the account on purchases.Data type: Number\n\nMaximum length: 15\n\n</td></tr><tr id=\"accounttable-fax_phone-row\"><td>\n\nfax\\_phone\n\n</td><td id=\"accounttable-fax_phone-entry\">\n\nPrimary fax phone number for the company associated with this account.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-fiscal_year-row\"><td>\n\nfiscal\\_year\n\n</td><td id=\"accounttable-fiscal_year-entry\">\n\nFiscal year for the company associated with the account.Data type: String\n\n</td></tr><tr id=\"accounttable-lat_long_error-row\"><td>\n\nlat\\_long\\_error\n\n</td><td id=\"accounttable-lat_long_error-entry\">\n\nDifference in the actual location as compared to latitude and longitude information.Data type: String\n\nMaximum length: 1,000\n\n</td></tr><tr id=\"accounttable-latitude-row\"><td>\n\nlatitude\n\n</td><td id=\"accounttable-latitude-entry\">\n\nLatitude of the company associated with this account.Data type: Number \\(floating point number\\)\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-longitude-row\"><td>\n\nlongitude\n\n</td><td id=\"accounttable-longitude-entry\">\n\nLongitude of the company associated with this account.Data type: Number \\(floating point number\\)\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-manufactuer-row\"><td>\n\nmanufacturer\n\n</td><td id=\"accounttable-manufactuer-entry\">\n\nFlag that indicates whether the company associated with this account manufactures goods.Possible values:\n\n-   true: Manufactures goods\n-   false: Does not manufacture goods\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-market_cap-row\"><td>\n\nmarket\\_cap\n\n</td><td id=\"accounttable-market_cap-entry\">\n\nMarket value of the associated company's publicly traded stock shares.Data type: Number \\(currency\\)\n\nMaximum length: 20\n\n</td></tr><tr id=\"accounttable-name-row\"><td>\n\nname\n\n</td><td id=\"accounttable-name-entry\">\n\nName of the company associated with this account.Data type: String\n\nMaximum length: 80\n\n</td></tr><tr id=\"accounttable-notes-row\"><td>\n\nnotes\n\n</td><td id=\"accounttable-notes-entry\">\n\nAdditional information about the company.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr id=\"accounttable-num_employees-row\"><td>\n\nnum\\_employees\n\n</td><td id=\"accounttable-num_employees-entry\">\n\nNumber of people employed by the company.Data type: Number \\(Integer\\)\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-number-row\"><td>\n\nnumber\n\n</td><td id=\"accounttable-number-entry\">\n\nNumber that identifies this account.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-parent-row\"><td>\n\nparent\n\n</td><td id=\"accounttable-parent-entry\">\n\nSys\\_id of the parent account of this account.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr id=\"accounttable-partner-row\"><td>\n\npartner\n\n</td><td id=\"accounttable-partner-entry\">\n\nFlag that indicates whether the account is a partner account or a customer account.Possible values:\n\n-   true: Partner account\n-   false: Customer account\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-phone-row\"><td>\n\nphone\n\n</td><td id=\"accounttable-phone-entry\">\n\nPrimary phone number for the company.Data type: String\n\n</td></tr><tr id=\"accounttable-primary-row\"><td>\n\nprimary\n\n</td><td id=\"accounttable-primary-entry\">\n\nFlag that indicates whether this is a primary account.Possible values:\n\n-   true: Primary account\n-   false: Secondary account\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-primary_contact-row\"><td>\n\nprimary\\_contact\n\n</td><td id=\"accounttable-primary_contact-entry\">\n\nSys\\_id of the primary contact for the account.Data type: String\n\nTable: Contact \\[customer\\_contact\\]\n\n</td></tr><tr id=\"accounttable-profits-row\"><td>\n\nprofits\n\n</td><td id=\"accounttable-profits-entry\">\n\nProfit information entered for this account.Data type: Number \\(Currency\\)\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-publicly_traded-row\"><td>\n\npublicly\\_traded\n\n</td><td id=\"accounttable-publicly_traded-entry\">\n\nFlag that indicates whether the company associated with this account is publicly traded on the stock exchange.Possible values:\n\n-   true: Publicly traded\n-   false: Private company\n\nData type: Boolean\n\n</td></tr><tr id=\"accounttable-rank_tier-row\"><td>\n\nrank\\_tier\n\n</td><td id=\"accounttable-rank_tier-entry\">\n\nType of account.Possible values:\n\n-   blacklist\n-   other\n-   strategic\n-   tactical\n-   valued\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-registration_code-row\"><td>\n\nregistration\\_code\n\n</td><td id=\"accounttable-registration_code-entry\">\n\nUnique code that customers use when requesting a login on the customer portal. This code provides a method for validating the customer on the company before granting access.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-revenue_per_year-row\"><td>\n\nrevenue\\_per\\_year\n\n</td><td id=\"accounttable-revenue_per_year-entry\">\n\nRevenue produced by the company associated with this account.Data type: Number \\(Currency\\)\n\nMaximum length: 20\n\n</td></tr><tr id=\"accounttable-state-row\"><td>\n\nstate\n\n</td><td id=\"accounttable-state-entry\">\n\nState in which the company resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-stock_price-row\"><td>\n\nstock\\_price\n\n</td><td id=\"accounttable-stock_price-entry\">\n\nPrice of the company stock.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-stock_symbol-row\"><td>\n\nstock\\_symbol\n\n</td><td id=\"accounttable-stock_symbol-entry\">\n\nStock symbol of the company.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-street-row\"><td>\n\nstreet\n\n</td><td id=\"accounttable-street-entry\">\n\nStreet address of the company.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr id=\"accounttable-sys_class_name-row\"><td>\n\nsys\\_class\\_name\n\n</td><td id=\"accounttable-sys_class_name-entry\">\n\nTable that contains the associated account record.Data type: String\n\n</td></tr><tr id=\"accounttable-sys_created_by-row\"><td>\n\nsys\\_created\\_by\n\n</td><td id=\"accounttable-sys_created_by-entry\">\n\nUser that originally created the account.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-sys_created_on-row\"><td>\n\nsys\\_created\\_on\n\n</td><td id=\"accounttable-sys_created_on-entry\">\n\nDate and time that the account was originally created.Data type: String\n\n</td></tr><tr id=\"accounttable-sys_id-row\"><td>\n\nsys\\_id\n\n</td><td id=\"accounttable-sys_id-entry\">\n\nSys\\_id for the account record.Data type: String\n\n</td></tr><tr id=\"accounttable-sys_mod_count-row\"><td>\n\nsys\\_mod\\_count\n\n</td><td id=\"accounttable-sys_mod_count-entry\">\n\nNumber of times the account information has been updated.Data type: Number \\(Integer\\)\n\n</td></tr><tr id=\"accounttable-sys_updated_by-row\"><td>\n\nsys\\_updated\\_by\n\n</td><td id=\"accounttable-sys_updated_by-entry\">\n\nUser that last modified the account information.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr id=\"accounttable-sys_updated_on-row\"><td>\n\nsys\\_updated\\_on\n\n</td><td id=\"accounttable-sys_updated_on-entry\">\n\nDate and time the account information was last updated.Data type: String\n\n</td></tr><tr id=\"accounttable-theme-row\"><td>\n\ntheme\n\n</td><td id=\"accounttable-theme-entry\">\n\nSys\\_id of the customer portal theme used by this account.Data type: String\n\nTable: Theme \\[sys\\_ui\\_theme\\]\n\n</td></tr><tr id=\"accounttable-vendor-row\"><td>\n\nvendor\n\n</td><td id=\"accounttable-vendor-entry\">\n\nFlag that indicates whether the company associated with this account is a vendor.Possible values:\n\n-   true: Vendor\n-   false: Not a vendor\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"accounttable-vendor_manager-row\"><td>\n\nvendor\\_manager\n\n</td><td id=\"accounttable-vendor_manager-entry\">\n\nList of sys\\_ids of the vendor managers for the account.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr id=\"accounttable-vendor_type-row\"><td>\n\nvendor\\_type\n\n</td><td id=\"accounttable-vendor_type-entry\">\n\nList of sys\\_ids of the type of vendor such as, applications, hardware, services, or software.Data type: String\n\nTable: Vendor Type \\[vendor\\_type\\]\n\n</td></tr><tr id=\"accounttable-website-row\"><td>\n\nwebsite\n\n</td><td id=\"accounttable-website-entry\">\n\nURL of the website for the company.Data type: String\n\nMaximum length: 1,024\n\n</td></tr><tr id=\"accounttable-zip-row\"><td>\n\nzip\n\n</td><td id=\"accounttable-zip-entry\">\n\nZip code of the company.Data type: String\n\nMaximum length: 40\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/now/account/bf60bef46f0331003b3c498f5d3ee41a\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n\"result\": {\n  \"banner_image_light\": \"\",\n  \"country\": \"USA\",\n  \"parent\": \"\",\n  \"notes\": \"\",\n  \"stock_symbol\": \"\",\n  \"discount\": \"\",\n  \"active_escalation\": \"e4fa242887150300fe4433d4c6cb0b5f\",\n  \"sys_updated_on\": \"2020-07-30 21:57:54\",\n  \"apple_icon\": \"\",\n  \"number\": \"ACCT0000009\",\n  \"sys_updated_by\": \"admin\",\n  \"fiscal_year\": \"\",\n  \"sys_created_on\": \"2019-09-16 21:19:27\",\n  \"contact\": \"bea1fef46f0331003b3c498f5d3ee4c5\",\n  \"stock_price\": \"\",\n  \"state\": \"California\",\n  \"banner_image\": \"\",\n  \"sys_created_by\": \"venki\",\n  \"longitude\": \"-122.116445\",\n  \"zip\": \"94022\",\n  \"profits\": \"0\",\n  \"phone\": \"(877) 729-4269\",\n  \"fax_phone\": \"\",\n  \"name\": \"Avid Corporation\",\n  \"banner_text\": \"\",\n  \"account_code\": \"~~~~9\",\n  \"primary\": \"false\",\n  \"city\": \"Los Altos\",\n  \"latitude\": \"37.402666\",\n  \"sys_class_name\": \"customer_account\",\n  \"manufacturer\": \"false\",\n  \"account_parent\": \"\",\n  \"sys_id\": \"bf60bef46f0331003b3c498f5d3ee41a\",\n  \"market_cap\": \"0\",\n  \"num_employees\": \"\",\n  \"rank_tier\": \"\",\n  \"street\": \"4440 El Camino Real\",\n  \"vendor\": \"false\",\n  \"lat_long_error\": \"\",\n  \"theme\": \"\",\n  \"vendor_type\": \"\",\n  \"website\": \"http://www.avidcorp.com\",\n  \"revenue_per_year\": \"0\",\n  \"publicly_traded\": \"false\",\n  \"sys_mod_count\": \"10\",\n  \"sys_tags\": \"\",\n  \"partner\": \"false\",\n  \"registration_code\": \"AVID\",\n  \"vendor_manager\": \"\",\n  \"account_path\": \"~~~~9\",\n  \"primary_contact\": \"bea1fef46f0331003b3c498f5d3ee4c5\",\n  \"customer\": \"true\"\n }\n}\n```\n\n"}}